/*
 * Copyright (c) 2021 Goldman Sachs.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v. 1.0 which accompany this distribution.
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 */

package org.eclipse.collections.api.factory.map.primitive;

import org.eclipse.collections.api.block.function.primitive.ShortFunction;
import org.eclipse.collections.api.block.function.primitive.BooleanFunction;
import org.eclipse.collections.api.map.primitive.MutableShortBooleanMap;
import org.eclipse.collections.api.map.primitive.ShortBooleanMap;

/**
 * A factory which creates instances of type {@link MutableShortBooleanMap}.
 * This file was automatically generated from template file mutablePrimitivePrimitiveMapFactory.stg.
 *
 * @since 6.0.
 */
public interface MutableShortBooleanMapFactory
{
    MutableShortBooleanMap empty();

    /**
     * Same as {@link #empty()}.
     */
    MutableShortBooleanMap of();

    /**
     * Same as {@link #empty()}.
     */
    MutableShortBooleanMap with();

    /**
     * Same as {@link #empty()}. but takes in an initial capacity
     */
    MutableShortBooleanMap ofInitialCapacity(int capacity);

    /**
     * Same as {@link #empty()}. but takes in an initial capacity
     */
    MutableShortBooleanMap withInitialCapacity(int capacity);

    /**
     * Same as {@link #withAll(ShortBooleanMap)}.
     */
    MutableShortBooleanMap ofAll(ShortBooleanMap map);

    MutableShortBooleanMap withAll(ShortBooleanMap map);

    /**
     * Creates an {@code MutableShortBooleanMap} from an {@code Iterable<T>} by applying {@code keyFunction} and {@code valueFunction}.
     *
     * @since 10.0
     */
    <T> MutableShortBooleanMap from(Iterable<T> iterable, ShortFunction<? super T> keyFunction, BooleanFunction<? super T> valueFunction);
}
